.ec-button {
  display: inline-block;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  border: 0;
  border-radius: 3em;
  font-family: var(--ec-font-body);
  font-weight: 700;
  line-height: 1.5;
  text-align: center;
  text-decoration: none;
  transition: border-color 0.4s;
}

.ec-button--round {
  border-radius: 1rem;
}

.ec-button--rounded {
  border-radius: 0.5em;
}

.ec-button--square {
  border-radius: 0;
}

.ec-button--primary {
  background-color: #555ab9;
  color: #fff;
}

.ec-button--secondary {
  box-shadow: rgba(0, 0, 0, 0.15) 0 0 0 1px inset;
  background-color: transparent;
  color: #333;
}

.ec-button--small {
  padding: 10px 16px;
  font-size: 12px;
}

.ec-button--medium {
  padding: 11px 20px;
  font-size: 14px;
}

.ec-button--large {
  padding: 12px 24px;
  font-size: 16px;
}

.ec-button--red,
.ec-button--red::before {
  background-color: var(--ec-accent-red);
  color: #fff;
}

.ec-button--green,
.ec-button--green::before {
  background-color: var(--ec-accent-green);
  color: #fff;
}

.ec-button--organization,
.ec-button--organization::before {
  background-color: var(--ec-accent-organization);
  color: #fff;
}

.ec-button--register,
.ec-button--register::before {
  background-color: var(--ec-accent-register);
  color: #fff;
}

.ec-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  transition: left 0.4s;
  z-index: 0;
  filter: brightness(115%);
}

.ec-button:hover::before,
.ec-button:focus-visible::before {
  left: 0;
}

.ec-button__label {
  position: relative;
  z-index: 1;
  transition: color 0.4s;
}
